package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.PartnerSearchCategoryModel

interface PartnerCategoryInteractor {

    interface View {
        fun responsePartnerCategorySucceed(topPartnerList: ArrayList<PartnerSearchCategoryModel>)
        fun responsePartnerCategoryFail(error: VolleyError)


    }

    interface Presenter {
        fun onPartnerCategory(category: String)


    }
}